require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe Flux::Util::Table do
  let(:body) {
    [[123, 'unstarted', 'David Leal', 'First story'],
     [456, 'unscheduled', '', 'Second story']]
  }

  it "is converted to a string" do
    t = Flux::Util::Table.new(Thor::Shell::Basic.new,
                              [%w(ID STATE ASSIGNEE STORY)] + body,
                              '  ',
                              nil)

    t.to_s.should == <<EOT
ID   STATE        ASSIGNEE    STORY
123  unstarted    David Leal  First story
456  unscheduled              Second story
EOT
  end

  it "aligns its columns to the right" do
    t = Flux::Util::Table.new(Thor::Shell::Basic.new,
                              [%w(>ID >STATE >ASSIGNEE >STORY)] + body,
                              '  ',
                              nil)

    t.to_s.should == <<EOT
 ID        STATE    ASSIGNEE         STORY
123    unstarted  David Leal   First story
456  unscheduled              Second story
EOT
  end

  it "truncates lines to a given width" do
    t = Flux::Util::Table.new(Thor::Shell::Basic.new,
                              [%w(ID STATE ASSIGNEE STORY)] + body,
                              '  ',
                              7)

    t.to_s.should == <<EOT
ID  ...
123 ...
456 ...
EOT
  end
end
