require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

require 'flux'

describe Flux do
  describe "project files" do
    let(:current_dir) { File.expand_path(File.dirname(__FILE__)) }
    let(:project_dir) { File.expand_path(File.join(current_dir, '..')) }

    it "uses an rc file called #{Flux::RC}" do
      Dir.chdir(current_dir) {
        Flux.rc.should == File.join(project_dir, Flux::RC)
      }
    end

    it "requires #{Flux::RC} to exist" do
      lambda {
        Dir.chdir('/') { Flux.rc }
      }.should raise_error(Flux::FluxError)
    end

    it "allows the user to keep a local rc file called #{Flux::RC_LOCAL}" do
      Dir.chdir(current_dir) {
        Flux.rc_local.should == File.join(project_dir, Flux::RC_LOCAL)
      }
    end

    it "does not require #{Flux::RC_LOCAL} to exist" do
      lambda { Dir.chdir('/') { Flux.rc_local } }.should_not raise_error
    end
  end
end
